package nl.rug.digitallab.common.quarkus.exception.mapper.rest

import com.fasterxml.jackson.annotation.JsonInclude
import java.util.UUID

/**
 * Data class for error responses returned by REST endpoints. The [AbstractExceptionMapper] automatically maps
 * predefined exceptions to an [ErrorResponse].
 *
 * @param errorMessage The error message to return to the client.
 * @param errorId The error ID, typically autogenerated.
 * @param stackTrace The optional stack trace of the error.
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
data class ErrorResponse(
    val errorMessage: String,
    val errorId: UUID = UUID.randomUUID(),
    var stackTrace: String? = null,
)
